# C-Chain

Supported JSON-RPC methods for Avalanche mainnet and fuji testnet.

Contract Chain (C-Chain):

The Contract Chain is the default smart contract blockchain on Avalanche and enables the creation of any Ethereum-compatible smart contracts. This blockchain is for applications that require total ordering (for faster asset transfers or any other commutative application, use the Exchange Chain). The Contract Chain implements the [Snowman](https://support.avax.network/en/articles/4058299-what-is-the-snowman-consensus-protocol) consensus protocol.

The trailing endpoint for C-Chain calls is:

```
To interact with C-Chain via the JSON-RPC endpoint via HTTPS:
/ext/bc/C/rpc (for all eth_ methods)
/ext/bc/C/avax (for all avax. methods)

To interact with C-Chain via the JSON-RPC endpoint via Websocket:
/ext/bc/C/ws

To interact with other instances of the EVM via the JSON-RPC endpoint:
/ext/bc/blockchainID/rpc

(where "blockchainID" is the ID of the EVM chain)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/avalanche/c-chain.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
